### VOT2022 submission - TRASFUSTm
Matteo Dunnhofer, Niki Martinel, Christian Micheloni

Machine Learning and Perception Lab  
Department of Mathematics, Computer Science and Physics  
University of Udine  
Udine, Italy

##### Hardware and OS specifications
CPU Intel Xeon W-2125 @ 4.00 GHz
GPU NVIDIA GTX1080-Ti  
32 GB of RAM
OS: Ubuntu 18.04  

#### VOT2022 test instructions
To run the VOT2022 experiments please follow these instructions:

+ Download the pre-trained weights files ``Student.weights``, ``Stark.pth.tar``, ``super_dimp.pth.tar`` from [here](https://drive.google.com/drive/folders/1Njn7CejAsf4nX4CP_921W7xT0X6GcM5G?usp=sharing) and put them in the folder ``vot2022-submission-TRASFUST/ckpt/``

+ Move to the submission source folder ``cd vot2022-submission-TRASFUST/src``

+ Create the Anaconda environment ``conda env create -f vot.yml``

+ Activate the environment ``conda activate vot``

+ Install the required python packages (not included in the vot environment) ``pip install -r requirements.txt``

+ Install ninja-build ``sudo apt-get install ninja-build``

+ Move to the workspace folder ``cd vot-experiments/vot2022-TRASFUST-ws``  

+ Edit the variable ``FULL_PATH_TO_SUB`` in file ``path_config.py`` by providing the full-path to the submission folder,
and do the same in the file ``trackers.ini`` by substituting the paths ``[full-path-to-vot-2022-submission-TRASFUST]`` in line 9 and 13
 
+ Run ``python compile_pytracking.py``
 
+ Run the analysis by ``vot evaluate TRASFUST`` 

+ Run the evaluation by ``vot analysis TRASFUST``  

#### If you fail to run our tracker please write to ``matteo.dunnhofer@uniud.it``
