#!/usr/bin/python

import path_config as pc
import sys
sys.path.append(pc.SRC_PATH)
import argparse
import os
import numpy as np
from PIL import Image
from track.Tracker import TRASFUST
import votclass
import utils as ut

#os.environ['CUDA_VISIBLE_DEVICES'] = "4,5,6,7"

WS_PATH = pc.SRC_PATH + 'vot-experiments/vot2022-TRASFUSTmask-ws'
ckpt_path = pc.CKPT_PATH + 'Student.weights'

parser = argparse.ArgumentParser()
parser.add_argument('--resume',
                        default=pc.CKPT_PATH + 'SiamMask_DAVIS.pth',
                        type=str,
                        metavar='PATH', help='path to latest checkpoint of SiamMask (default: none)')
parser.add_argument('--config', 
                   dest='config', 
                   default=pc.SRC_PATH + 'demotrackers/SiamMask/experiments/siammask_sharp/config_davis.json',
                        help='hyper-parameter of SiamMask in json format')
args = parser.parse_args()

tracker = TRASFUST(ckpt_path, ['DiMP', 'Stark'], lstm_update=True, gpu_id=0)

handle = votclass.VOT("rectangle")
selection = handle.region()

# Process the first frame
imagefile = handle.frame()
if not imagefile:
    sys.exit(0)

image = Image.open(os.path.join(WS_PATH, imagefile))
img = np.array(image)

bbox = np.array([selection.x, selection.y, selection.width, selection.height])
tracker.init(image, bbox)

while True:
    imagefile = handle.frame()
    if not imagefile:
        break

    image = Image.open(os.path.join(WS_PATH, imagefile))

    bbox = tracker.update(image)
    selection = votclass.Rectangle(bbox[0], bbox[1], bbox[2], bbox[3])
    #mask = np.uint8(mask)

    #if np.all(mask < 1):
    #else:
    ##    mask = prev_mask
    #    prev_mask = mask

    confidence = 1.0

    handle.report(selection, confidence)
